History module
Endpoints
Endpoints for managing Call Details Reports, Call Recordings, Chats and Voicemessages
GET
/chats Returns collection of Chat resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/chats HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8386,
"created_at": "2019-09-07 21:53:24",
"customer_id": 5189,
"duration": 1493,
"operator_id": 1883,
"operator_ua": "value",
"state": 2,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 7151
}
],
"total": 59
}
GET
/chats/{id} Returns Chat resource for given Id
Parameters
Endpoint URL:
{id} integerChat identifier
Example Request
GET /v1.1/voipstudio/chats/46 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3790,
"created_at": "2019-04-08 08:55:16",
"customer_id": 9327,
"duration": 4341,
"operator_id": 891,
"operator_ua": "value",
"state": 4,
"visitor_city": "value",
"visitor_country": "value",
"visitor_email": "value",
"visitor_geo": "value",
"visitor_id": "value",
"visitor_ip": "value",
"visitor_name": "value",
"visitor_referer": "value",
"visitor_ua": "value",
"website_id": 8519
},
"links": {}
}
DELETE
/chatmsgs/{ids} Deletes given chat message resources
Parameters
Endpoint URL:
{ids} comma separated list of integersResource identifiers
Example Request
DELETE /v1.1/voipstudio/chatmsgs/92,188,475 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
DELETE
/chatmsgs Deletes collection of ChatMsg resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/chatmsgs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs Returns collection of Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8204,
"billsec": 9245,
"call_id": 7831,
"calldate": "2019-08-13 01:58:03",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 1,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 1399,
"info": "value",
"is_root": true,
"live_id": 2749,
"parent_live_id": 9626,
"root_live_id": 124,
"server_id": 4975,
"sip_endpoint_id": 5734,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 8531
}
],
"total": 59
}
PATCH
/cdrs [BULK] Updates existing Cdr resources
Parameters
Example Request
PATCH /v1.1/voipstudio/cdrs HTTP/1.1
Host: l7api.com
[
[],
{
"id": 6195
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8485,
"billsec": 3736,
"call_id": 3057,
"calldate": "2025-01-15 02:26:04",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 5428,
"info": "value",
"is_root": true,
"live_id": 7499,
"parent_live_id": 4461,
"root_live_id": 5159,
"server_id": 8976,
"sip_endpoint_id": 7307,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 7317
},
"links": {}
}
DELETE
/cdrs Deletes collection of Cdr resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/cdrs HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/cdrs/calltracking Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/calltracking HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6426,
"billsec": 3072,
"call_id": 6191,
"calldate": "2024-07-31 16:45:40",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7830,
"info": "value",
"is_root": true,
"live_id": 9070,
"parent_live_id": 498,
"root_live_id": 3817,
"server_id": 7237,
"sip_endpoint_id": 1328,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 6340
}
],
"total": 59
}
GET
/cdrs/{id} Returns Cdr resource for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/11 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 2173,
"billsec": 6352,
"call_id": 7629,
"calldate": "2018-04-03 22:15:19",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 0,
"dst": "44779243705",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 4443,
"info": "value",
"is_root": true,
"live_id": 2413,
"parent_live_id": 611,
"root_live_id": 7560,
"server_id": 1630,
"sip_endpoint_id": 4899,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 2,
"user_id": 7261
},
"links": {}
}
GET
/cdrs/{id}.trace Returns Cdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/64.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6952,
"billsec": 5788,
"call_id": 999,
"calldate": "2022-03-06 16:22:05",
"clid": "value",
"context": "value",
"destination": 0,
"disposition": 2,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 8316,
"info": "value",
"is_root": true,
"live_id": 3164,
"parent_live_id": 3872,
"root_live_id": 7158,
"server_id": 8300,
"sip_endpoint_id": 4424,
"src": "44203846719",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 1,
"user_id": 2510
},
"links": {}
}
GET
/cdrs/{id}.pcap Returns Cdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/8.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5948,
"billsec": 2996,
"call_id": 191,
"calldate": "2017-10-06 15:34:15",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 0,
"dst": "13103345244",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 7446,
"info": "value",
"is_root": true,
"live_id": 5279,
"parent_live_id": 6546,
"root_live_id": 1104,
"server_id": 5918,
"sip_endpoint_id": 3215,
"src": "13103345244",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 9742
},
"links": {}
}
GET
/cdrs/dictionaries Returns Dictionary for Cdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/cdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4230,
"billsec": 2167,
"call_id": 7837,
"calldate": "2022-09-21 19:24:07",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 0,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 410,
"info": "value",
"is_root": true,
"live_id": 4289,
"parent_live_id": 9307,
"root_live_id": 2452,
"server_id": 3278,
"sip_endpoint_id": 8819,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 0,
"user_id": 71
}
],
"total": 59
}
GET
/cdrs/{id}/notes Returns Notes for give CDR resource
Parameters
Endpoint URL:
{id} integerCdr identifier
Example Request
GET /v1.1/voipstudio/cdrs/70/notes HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5045,
"billsec": 4960,
"call_id": 4299,
"calldate": "2022-01-14 11:00:02",
"clid": "value",
"context": "value",
"destination": 2,
"disposition": 1,
"dst": "44203844711",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 6012,
"info": "value",
"is_root": true,
"live_id": 7621,
"parent_live_id": 5219,
"root_live_id": 5686,
"server_id": 6780,
"sip_endpoint_id": 5103,
"src": "44779243705",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 5845
},
"links": {}
}
GET
/conversations Returns collection of Conversation resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/conversations HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2017-12-29 08:30:41",
"customer_id": 7934,
"cx_score": 3719,
"dst": "32179243705",
"dst_id": "value",
"dst_name": "value",
"duration": 3896,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 8925,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 0,
"user_id": 4368,
"voicemessage_id": 1924
}
],
"total": 59
}
PATCH
/conversations [BULK] Updates existing Conversation resources
Parameters
JSON body attributes:
id undefined
labels array
notes undefined
Example Request
PATCH /v1.1/voipstudio/conversations HTTP/1.1
Host: l7api.com
[
{
"id": "abcd",
"labels": "abcd",
"notes": "abcd"
},
{
"id": 1260,
"labels": "abcd",
"notes": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2017-12-18 16:49:03",
"customer_id": 4230,
"cx_score": 7690,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 2271,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 3905,
"src": "44779243705",
"src_id": "value",
"src_name": "value",
"type": 2,
"user_id": 9791,
"voicemessage_id": 57
},
"links": {}
}
GET
/conversations/{id} Returns Conversation Result resource for given Id
Parameters
Endpoint URL:
{id} integerConversation identifier
Example Request
GET /v1.1/voipstudio/conversations/72 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": "value",
"call_flow": "value",
"channel": "value",
"conversation_id": "value",
"created_at": "2020-06-10 12:12:57",
"customer_id": 70,
"cx_score": 5152,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 4488,
"monitor_ids": "value",
"notes": "value",
"object_class": "value",
"object_id": "value",
"ring_time": 5100,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"type": 2,
"user_id": 3693,
"voicemessage_id": 6745
},
"links": {}
}
GET
/monitors Returns collection of Monitor resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3445,
"call_id": 3408,
"called": "32179243705",
"caller": "12124537768",
"context": "value",
"cx_score": 2873,
"dst": "44779243705",
"dst_id": "value",
"dst_name": "value",
"duration": 913,
"live_id": 7036,
"sentiment": 2,
"sip_endpoint_id": 9998,
"size": 2926,
"src": "32179243705",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2025-11-24 04:26:12",
"transcript": "value",
"type": "value",
"user_id": 383
}
],
"total": 59
}
DELETE
/monitors Deletes all Monitor resources for given customer
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/monitors HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/monitors/{id} Returns Monitor resource for given Id
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/99 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3116,
"call_id": 7027,
"called": "44203846719",
"caller": "13103345244",
"context": "value",
"cx_score": 3340,
"dst": "44203844711",
"dst_id": "value",
"dst_name": "value",
"duration": 8387,
"live_id": 8736,
"sentiment": 1,
"sip_endpoint_id": 292,
"size": 442,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2017-02-12 09:52:47",
"transcript": "value",
"type": "value",
"user_id": 2202
},
"links": {}
}
PATCH
/monitors/{id} Updates existing Monitor resource
Parameters
Endpoint URL:
{id} integerMonitor identifier
JSON body attributes:
transcript string
transcript_speakers string
summary string
sentiment string
cx_score integer
metadata undefined
Example Request
PATCH /v1.1/voipstudio/monitors/62 HTTP/1.1
Host: l7api.com
{
"transcript": "abcd",
"transcript_speakers": "abcd",
"summary": "abcd",
"sentiment": "abcd",
"cx_score": 439,
"metadata": "abcd"
}
Responses
200 Success
400 Validation error
404 Resource not found
400 Validation error
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 452,
"call_id": 9810,
"called": "44203846719",
"caller": "44203844711",
"context": "value",
"cx_score": 3617,
"dst": "13103345244",
"dst_id": "value",
"dst_name": "value",
"duration": 8231,
"live_id": 167,
"sentiment": 0,
"sip_endpoint_id": 1705,
"size": 8700,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2021-12-02 09:44:06",
"transcript": "value",
"type": "value",
"user_id": 6294
},
"links": {}
}
GET
/monitors/{id}.mp3 Returns Monitor resource for given Id as MP3 audio file
Parameters
Endpoint URL:
{id} integerMonitor identifier
Example Request
GET /v1.1/voipstudio/monitors/42.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7963,
"call_id": 4828,
"called": "44203844711",
"caller": "44203844711",
"context": "value",
"cx_score": 2642,
"dst": "12124537768",
"dst_id": "value",
"dst_name": "value",
"duration": 1241,
"live_id": 6863,
"sentiment": 1,
"sip_endpoint_id": 7084,
"size": 7887,
"src": "44203846719",
"src_id": "value",
"src_name": "value",
"summary": "value",
"timestamp": "2023-04-10 02:57:05",
"transcript": "value",
"type": "value",
"user_id": 2455
},
"links": {}
}
DELETE
/monitors/{ids} Deletes given Monitor resources
Parameters
Endpoint URL:
{ids} comma separated list of integersMonitor identifiers
Example Request
DELETE /v1.1/voipstudio/monitors/20,165,463 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/msdrs Returns collection of Msdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1653,
"call_id": "value",
"created_at": "2022-04-30 01:15:26",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 5196,
"media_session_id": 2866,
"src": "44779243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 7953
}
],
"total": 59
}
GET
/msdrs/{id} Returns Msdr resource for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/37 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3317,
"call_id": "value",
"created_at": "2017-05-22 11:58:07",
"dst": "44779243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 9210,
"media_session_id": 6810,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 9021
},
"links": {}
}
GET
/msdrs/{id}.trace Returns Msdr resource as SIP Trace for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/64.trace HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7480,
"call_id": "value",
"created_at": "2017-01-29 18:00:58",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 4378,
"media_session_id": 9740,
"src": "32179243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 3055
},
"links": {}
}
GET
/msdrs/{id}.pcap Returns Msdr resource as PCAP file for given Id
Parameters
Endpoint URL:
{id} integerMsdr identifier
Example Request
GET /v1.1/voipstudio/msdrs/91.pcap HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9122,
"call_id": "value",
"created_at": "2020-01-24 10:58:06",
"dst": "32179243705",
"dst_id": "value",
"dst_ua": "value",
"duration": 4617,
"media_session_id": 8114,
"src": "44203846719",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 7867
},
"links": {}
}
GET
/msdrs/dictionaries Returns Dictionary for Msdr resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/msdrs/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1811,
"call_id": "value",
"created_at": "2024-03-06 22:55:41",
"dst": "13103345244",
"dst_id": "value",
"dst_ua": "value",
"duration": 287,
"media_session_id": 7526,
"src": "44779243705",
"src_id": "value",
"src_ua": "value",
"t_cause": "value",
"type": "value",
"user_id": 8802
}
],
"total": 59
}
DELETE
/statements Deletes collection of Statement resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/statements HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 204 OK
GET
/voicemessages Returns collection of Voicemessage resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 844,
"caller": "12124537768",
"callerid": "44203846719",
"dialled": "13103345244",
"duration": 4752,
"extension_id": 852,
"folder": 2,
"is_new": true,
"live_id": 606,
"origtime": "2021-11-25 11:59:29",
"parent_live_id": 6768,
"transcript": "value"
}
],
"total": 59
}
PATCH
/voicemessages [BULK] Updates folder of existing Voicemessage resources
Parameters
JSON body attributes:
id integer
folder string
Example Request
PATCH /v1.1/voipstudio/voicemessages HTTP/1.1
Host: l7api.com
[
{
"id": 193,
"folder": "abcd"
},
{
"id": 3560,
"folder": "abcd"
}
]
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3415,
"caller": "13103345244",
"callerid": "32179243705",
"dialled": "44779243705",
"duration": 4507,
"extension_id": 7671,
"folder": 1,
"is_new": true,
"live_id": 7188,
"origtime": "2021-07-15 14:06:24",
"parent_live_id": 4459,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages Deletes collection of Voicemessage resources
Parameters
No parameters
Example Request
DELETE /v1.1/voipstudio/voicemessages HTTP/1.1 Host: l7api.com
Responses
202 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 202 OK
GET
/voicemessages/{id} Returns Voicemessage resource for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/74 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6821,
"caller": "44779243705",
"callerid": "44203846719",
"dialled": "44779243705",
"duration": 481,
"extension_id": 4688,
"folder": 0,
"is_new": true,
"live_id": 2302,
"origtime": "2021-01-23 19:30:29",
"parent_live_id": 2878,
"transcript": "value"
},
"links": {}
}
GET
/voicemessages/{id}.mp3 Returns Voicemessage MP3 file for given Id
Parameters
Endpoint URL:
{id} integerVoicemessage identifier
Example Request
GET /v1.1/voipstudio/voicemessages/7.mp3 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 1498,
"caller": "44203844711",
"callerid": "13103345244",
"dialled": "44203844711",
"duration": 3794,
"extension_id": 8947,
"folder": 0,
"is_new": true,
"live_id": 1952,
"origtime": "2021-06-09 02:30:21",
"parent_live_id": 908,
"transcript": "value"
},
"links": {}
}
DELETE
/voicemessages/{ids} Deletes given voicemessage resources
Parameters
Endpoint URL:
{ids} comma separated list of integersVoicemessage identifiers
Example Request
DELETE /v1.1/voipstudio/voicemessages/49,105,435 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/sms/dictionaries Returns Dictionary for SMS resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/sms/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2649,
"created_at": "2018-07-10 13:50:37",
"from": "44203844711",
"from_id": "value",
"from_name": "value",
"message": "value",
"result": "value",
"to": "12124537768",
"to_id": "value",
"to_name": "value",
"type": "value",
"user_id": 3928
}
],
"total": 59
}
GET
/calltracking/cdrs Returns collection of Call Tracking Cdr resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/calltracking/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1731,
"billsec": 1998,
"call_id": 5731,
"calldate": "2025-02-18 18:44:14",
"clid": "value",
"context": "value",
"destination": 1,
"disposition": 1,
"dst": "44203846719",
"dst_codec": "value",
"dst_id": "value",
"dst_name": "value",
"dst_ua": "value",
"duration": 3867,
"info": "value",
"is_root": true,
"live_id": 2228,
"parent_live_id": 9430,
"root_live_id": 5702,
"server_id": 8274,
"sip_endpoint_id": 9418,
"src": "44203844711",
"src_codec": "value",
"src_id": "value",
"src_name": "value",
"src_ua": "value",
"t_cause": "value",
"type": 3,
"user_id": 3860
}
],
"total": 59
}
GET
/users/{id}/cdrs.csv Exports collection of Cdr resources to .csv file for given user
Parameters
Endpoint URL:
{id} integerUser identifier
Example Request
GET /v1.1/voipstudio/users/20/cdrs.csv HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 6284,
"active": true,
"created_at": "value",
"customer": 9355,
"email": "value",
"first_name": "value",
"is_initial": true,
"is_root": true,
"last_name": "value",
"roles": "value",
"two_factor_auth": 0,
"visited_apps": "value"
},
"links": {}
}
GET
/mediasessions/dictionaries Returns Dictionary for Media Session resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/mediasessions/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Unknown
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3900,
"call_id": "value",
"created_at": "2025-05-31 02:08:39",
"dst_id": "value",
"dst_ua": "value",
"duration": 6614,
"src_id": "value",
"src_ua": "value",
"status": "value",
"type": "value",
"updated_at": "2025-05-31 02:16:12",
"user": 1315
}
],
"total": 59
}
Models
CDR
| Attribute | Data type | Description |
| id | integer | Object ID |
| duration | integer | Call duration in seconds |
| live_id | integer | The identifier of the Live Call that generated this CDR record. It can be used to look up related records, such as call recordings. |
| parent_live_id | integer | The identifier of parent (previous) Live Call that generated this CDR record. |
| user_id | integer | The identifier of the User who made the call. |
| sip_endpoint_id | integer | The identifier of the SIP Endpoint which made or received the call. |
| server_id | integer | The identifier of the Media Server which handled the call. |
| type | string | Call type: O (outbound), I (inbound), M (missed) |
| calldate | string | Date and time of the call in format YYYY-MM-DD H:I:S in UTC timezone |
| clid | string | Caller ID (if available) with number; |
| src_id | string | The identified of the Source of the call, for example User ID 10002 or Contact ID contact:3423 |
| src_name | string | String representation of Source of the call, for example Contact name |
| src | string | Telephone number associated with the Source of the call |
| src_ua | string | User agent of the Source of the call |
| src_codec | string | Audio Codec of the Source of the call |
| dst_id | string | The identified of the Destination of the call, for example User ID 10002, Contact ID contact:3423 an IVR IVR324 or a Queue Queue12443 |
| dst | string | Telephone number associated with the Destination of the call |
| dst_name | string | String representation of Destination of the call, for example Contact name or a Queue name |
| dst_ua | string | User agent of the Destination of the call |
| dst_codec | string | Audio Codec of the Source of the call |
| billsec | integer | Billable (connected) time of the call |
| disposition | string | Outcome of the call, one of: INITIAL, RINGING, CONNECTED, ON_HOLD or VM (Voicemail) |
| destination | string | Call direction: in (inbound), out (outbound), webcall (Web Call) or callmeback (Call Me Back) |
| context | string | Call context: PSTN_CALL, USER_LOCAL, IVR, FOLLOW_ME, TEST_CALL etc. |
| t_cause | string | Call termination reason, for example: Normal Clearing, User busy, No user responding etc. |
| info | string | Additional information about the call. |
| call_id | integer | Depreciated |
| is_root | boolean | Depreciated |
| root_live_id | integer | Depreciated |